package net.northking.cctp.daemon.service;

public interface Lifecycle
{
  String getPid();

  boolean isStarted();

  void start();

  void stop();

  void shutdown();

  void restart();

  boolean alive();
}
